Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class AggregationMode

    java.lang.Object
      com.plumtree.remote.portlet.AggregationMode

public class AggregationMode
extends java.lang.Object

`AggregationMode` is a flag that tells the portal how the Portlet is currently displayed in the portal, i.e., with other Portlets or alone on the page.

`AggregationMode` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static AggregationMode` | `Multiple` Multiple Aggregation Mode means that there is more than one Portlet on the portal page in which the Portlet is displayed.
`static AggregationMode` | `Single` Single Aggregation Mode means that this Portlet is the only Portlet on the portal page.

Method Summary
`java.lang.String` | `toString()` Gets the Aggregation Mode as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Single

    public static AggregationMode Single

  Single Aggregation Mode means that this Portlet is the only Portlet on the portal page.

### Multiple

    public static AggregationMode Multiple

  Multiple Aggregation Mode means that there is more than one Portlet on the portal page in which the Portlet is displayed.

Method Detail

### toString

    public java.lang.String toString()

  Gets the Aggregation Mode as a string

  Returns:
    either Single or Multiple

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.